
window["displayMenu"] = function() {
    document.getElementById(R.id.context).classList.add(R.klass.opened);
};

window["hideMenu"] = function() {
    document.getElementById(R.id.context).classList.remove(R.klass.opened);
};

window["toggleMenu"] = function() {
    _toggleMenu();
};

window["setChannelFavorite"] = function(chanId, val) {
    var channel = DATA.context.getChannel(chanId);
    if (channel) {
        if (val)
            starChannel(channel);
        else
            unstarChannel(channel);
    } else {
        console.error("Channel " +chanId +" not found");
    }
};

window["onApplicationPaused"] = function() {
    window.hasFocus = false;
};

window["onApplicationResumed"] = function() {
    window.hasFocus = true;
};

